package com.ruoyi.ai.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ai.domain.AiTemplate;
import com.ruoyi.ai.domain.AiTemplate;

/**
 * AI模版Mapper接口
 *
 * @author shi
 * @date 2026-01-15
 */
public interface AiTemplateMapper extends BaseMapper<AiTemplate> {
    int deleteAiTemplateByIds(Long[] ids);

    int deleteAiTemplateById(Long id);
    List<AiTemplate> selectAiTemplateList(AiTemplate AiTemplate);


}
